import sys
from System.Collections.Generic import List
import common

MakerPack = Player.Backpack.Serial

kits = common.findRecursive(MakerPack, [ 0x0F9D ])
if len(kits) < 1:
    Misc.SendMessage("NO SEWING KITS")
    sys.exit(9)

kit = kits[0]

TailoringGumpID = 949095101

SuitCont = kit.Container # put suits where ever kit is
Items.UseItem(SuitCont)
Misc.Pause(2000)


def LRC(item):
    Journal.Clear()
    Player.UseSkill("Imbuing")
    Gumps.WaitForGump( 0, 10000)
    Gumps.SendAction( 1697188745, 10005)
    Journal.WaitJournal("Target an item you wish to imbue", 10000)
    Target.TargetExecute(item)
    # Wait for imue gump and press casting
    Gumps.WaitForGump( 0, 10000)
    Gumps.SendAction(  2270339787, 10001)
    # Wait for gump and press LRC
    Gumps.WaitForGump(0, 10000)
    Gumps.SendAction( 2270339787, 10118)
    # Bump +5 = 6
    Gumps.WaitForGump(0, 10000)
    Gumps.SendAction(  2270339788,  10055)
    # Bump +5 = 11
    Gumps.WaitForGump(0, 10000)
    Gumps.SendAction(  2270339788,  10055)
    # Bump +5 = 16
    Gumps.WaitForGump(0, 10000)
    Gumps.SendAction(  2270339788,  10055)
    # Bump +1 = 17
    Gumps.WaitForGump(0, 10000)
    Gumps.SendAction(  2270339788,  10054)
    # DO IT
    Gumps.WaitForGump(0, 10000)
    Gumps.SendAction(  2270339788,  10100)
    # Clear gump
    Gumps.WaitForGump(0, 10000)
    Gumps.SendAction(   1697188745,  0)    
    if Journal.Search('You attempt to imbue the item, but fail') == True:
        Journal.Clear()
        #LRC(item)
    
def LMC(item):
    Journal.Clear()
    Gumps.WaitForGump(999059, 1500)
    Gumps.SendAction(999059, 1)
    Target.WaitForTarget(1500, False)
    Target.TargetExecute(item)
    Gumps.WaitForGump(999056, 1500)
    Gumps.SendAction(999056, 1114248)
    Gumps.WaitForGump(999056, 1500)
    Gumps.SendAction(999056, 201)
    Gumps.WaitForGump(999056, 1500)
    Gumps.SendAction(999056, 313)
    Gumps.WaitForGump(999056, 1500)
    Gumps.SendAction(999056, 311)
    Gumps.WaitForGump(999056, 1500)
    Gumps.SendAction(999056, 302)
    Misc.Pause(1100)
    if Journal.Search('You attempt to imbue the item, but fail') == True:
        Journal.Clear()
        LMC(item)
    
def MR(item):
    Journal.Clear()
    Gumps.WaitForGump(999059, 1500)
    Gumps.SendAction(999059, 1)
    Target.WaitForTarget(1500, False)
    Target.TargetExecute(item)
    Gumps.WaitForGump(999056, 1500)
    Gumps.SendAction(999056, 1114262)
    Gumps.WaitForGump(999056, 1500)
    Gumps.SendAction(999056, 203)
    Gumps.WaitForGump(999056, 1500)
    Gumps.SendAction(999056, 302)
    Misc.Pause(2000)
    if Journal.Search('You attempt to imbue the item, but fail') == True:
        Journal.Clear()
        MR(item)
        

def setLeatherType():
    Items.UseItem(kit)
    Gumps.WaitForGump(TailoringGumpID, 1000)
    Gumps.SendAction(TailoringGumpID, 7)
    Gumps.WaitForGump(TailoringGumpID, 1000)
    Gumps.SendAction(TailoringGumpID, 69)
    Gumps.WaitForGump(TailoringGumpID, 1000)
    Gumps.CloseGump(TailoringGumpID)

 
def makeSuit():
    LeatherArmorCategory = 36
    LeatherGorget = 23
    LeatherCap = 30
    LeatherGloves = 37 
    LeatherSleeves = 44
    LeatherLeggings = 51
    LeatherTunic = 58     
    #
    Items.UseItem(kit)
    Gumps.WaitForGump(TailoringGumpID, 1500)
    Gumps.SendAction(TailoringGumpID, LeatherArmorCategory)    
    Gumps.WaitForGump(TailoringGumpID, 1500)
    #
    Misc.SendMessage("Checking gorget")
    while Items.ContainerCount(SuitCont, 0x13C7, -1) == 0:
        Gumps.SendAction(TailoringGumpID, LeatherGorget)
        Gumps.WaitForGump(TailoringGumpID, 1500)
        Misc.Pause(500)
    #
    Misc.SendMessage("Checking cap")
    while Items.ContainerCount(SuitCont, 0x1DB9, -1) == 0:
        Gumps.SendAction(TailoringGumpID, LeatherCap)
        Gumps.WaitForGump(TailoringGumpID, 1500)
        Misc.Pause(500)
    #
    while Items.ContainerCount(SuitCont, 0x13C6,-1) == 0:
        Gumps.SendAction(TailoringGumpID, LeatherGloves)
        Gumps.WaitForGump(TailoringGumpID, 1500)
        Misc.Pause(500)
    #
    while Items.ContainerCount(SuitCont,0x13CD,-1) == 0:
        Gumps.SendAction(TailoringGumpID, LeatherSleeves)
        Gumps.WaitForGump(TailoringGumpID, 1500)
        Misc.Pause(500)
    #
    while Items.ContainerCount(SuitCont,0x13CB,-1) == 0:
        Gumps.SendAction(TailoringGumpID, LeatherLeggings)
        Gumps.WaitForGump(TailoringGumpID, 1500)
        Misc.Pause(500)
    #
    while Items.ContainerCount(SuitCont,0x13CC,-1) == 0:
        Gumps.SendAction(TailoringGumpID, LeatherTunic)
        Gumps.WaitForGump(TailoringGumpID, 1500)
        Misc.Pause(500)
    #
    Gumps.CloseGump(TailoringGumpID)

    
def imbue():
    ImbueList =[0x13C7,0x1DB9,0x13C6,0x13CD,0x13CB,0x13CC]
    for item in Items.FindBySerial(SuitCont).Contains:        
        gear = Items.FindBySerial(item.Serial)
        if gear.ItemID in ImbueList and float(Items.GetPropValue(item, "Lower Reagent Cost")) < 17:
            LRC(gear)
            Misc.Pause(1100)

            
def Main():
    Misc.Pause(1000)
    #setLeatherType()
    makeSuit()
    Misc.Pause(1100)
    imbue()

Main()